Add Format Parameters
post
/config/sim/v2/setup/formatParameters
Adds Format Parameters.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Format Parameters insert and update request body.
Root Schema : schema
Type:
Show Source
object-
cfdClosedBgImageName:
string
Closed-state Customer Facing Display background image name.Example:
closed.png -
cfdOptions:
string
Raw Customer Facing Display bit string of length 16. Unsupported bits are reset and are not exposed in cfdOptionsExt.Example:
0000000000000000 -
cfdWelcomeBgImageName:
string
Welcome/idle Customer Facing Display background image name.Example:
welcome.png -
checkSortType:
integer
Check sort/consolidation lookup value. Valid range is 0 to 8.Example:
0 -
customerIdentityLabel(required):
object customerIdentityLabel
Customer/Trade label to be displayed on the check tax invoice before Customer/Trade name when Inclusive Tax is exempted. Maximum length is 20 characters and the following invalid characters are restricted: `~!@#$%^&*()-_=+[]{}\|;:'",<>.?`
-
customerInfoSalesThreshold:
integer
Sales threshold for customer information prompt. Must be greater than taxInvoiceSalesThreshold when both values are non-zero.Example:
0 -
customerReceiptSortType:
integer
Customer receipt sort/consolidation lookup value. Valid range is 0 to 8.Example:
0 -
guestCheckInformationLines:
integer
Guest check information lines. Valid range is 0 to 32.Example:
4 -
hierUnitId(required):
integer
Unique hierarchy unit value.Example:
3599 -
lineFeedsBeforeFirstPage:
integer
Line feeds before first guest check page. Must be less than linesOnFirstPage when greater than 0.Example:
0 -
lineFeedsBeforeOtherPages:
integer
Line feeds before subsequent guest check pages. Must be less than linesOnOtherPages when greater than 0.Example:
0 -
linesOnFirstPage:
integer
Lines on first guest check page.Example:
40 -
linesOnOtherPages:
integer
Lines on subsequent guest check pages.Example:
40 -
minimumLinesPerRollCheckReceipt:
integer
Minimum lines per roll check/receipt.Example:
1 -
nluCondimentHelpScreenSortType:
integer
NLU condiment help screen sort method value. Valid range is 0 to 2.Example:
0 -
options:
string
Raw format-options bit string of length 80. Unsupported bits are reset and are not exposed in optionsExt.Example:
00000000000000000000000000000000000000000000000000000000000000000000000000000000 -
screenSortType:
integer
Screen sort/consolidation lookup value. Valid range is 0 to 8.Example:
0 -
taxInvoiceSalesThreshold:
integer
Sales threshold for tax invoice prompt.Example:
0
Nested Schema : customerIdentityLabel
Type:
objectCustomer/Trade label to be displayed on the check tax invoice before Customer/Trade name when Inclusive Tax is exempted. Maximum length is 20 characters and the following invalid characters are restricted: `~!@#$%^&*()-_=+[]{}\|;:'",<>.?`
Example:
{
"1":"Customer",
"2":"Customer",
"3":"Customer"
}Response
Supported Media Types
- application/json
200 Response
Format Parameters added.
Root Schema : schema
Type:
Show Source
object-
hierUnitId:
integer
Unique hierarchy unit value for the inserted hierarchy node.Example:
3599